Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface PrincipalValidator

All Known Implementing Classes:
  PrincipalValidatorImpl

public interface PrincipalValidator

The `PrincipalValidator` interface defines the methods that custom Principal Validation providers must implement to support principal trust relationships within the context of the Weblogic Server environment. Principal Validation providers are used with Authentication providers to provide additional security protections for the principals contained within the subject.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.

Method Summary
`java.lang.Class` | `getPrincipalBaseClass()` Gets the base `Principal` class validated and signed by this Principal Validation provider.
`boolean` | `sign(java.security.Principal principal)` Signs the principal to assure trust.
`boolean` | `validate(java.security.Principal principal)` Verifies that the principal has not been altered since it was signed.

Method Detail

### validate

    public boolean validate(java.security.Principal principal)
                     throws java.lang.SecurityException

  Verifies that the principal has not been altered since it was signed.

  Parameters:
    `principal` - the principal to validate.

  Returns:
    `TRUE` if the principal has been validated, `FALSE` if the principal has not been validated.

  Throws:
    java.lang.SecurityException - if the signature is invalid.

### sign

    public boolean sign(java.security.Principal principal)

  Signs the principal to assure trust.

  Parameters:
    `principal` - the principal to sign.

  Returns:
    `TRUE` if the principal has been signed, `FALSE` if the principal has not been signed.

### getPrincipalBaseClass

    public java.lang.Class getPrincipalBaseClass()

  Gets the base `Principal` class validated and signed by this Principal Validation provider.

  Returns:
    the base supported `Principal` class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference